#include "project.h"

void GPIOPortIntHandler(void)
{
    Cy_GPIO_Write(GREEN_PORT, GREEN_NUM, 1) ;
    Cy_GPIO_Write(RED_PORT, RED_NUM, 0) ;
    CyDelay(500) ;
    Cy_GPIO_Write(RED_PORT, RED_NUM, 1) ;
    Cy_GPIO_ClearInterrupt(SW2_PORT, SW2_NUM) ;
}

int main(void)
{
    cy_en_sysint_status_t status ;
    
    __enable_irq(); /* Enable global interrupts. */

    status = Cy_SysInt_Init(&SysInt_1_cfg, GPIOPortIntHandler);
    NVIC_ClearPendingIRQ(SysInt_1_cfg.intrSrc);
    NVIC_EnableIRQ(SysInt_1_cfg.intrSrc) ;
    
    for(;;)
    {
        Cy_GPIO_Write(GREEN_PORT, GREEN_NUM, 0) ;
    }
}